

const ALWAYS = {
    trade: (predictions) => 1
}

const ANY = {
    trade: (predictions) => predictions.some(p => p === 1) ? 1 : 0
}

const EVERY = {
    trade: (predictions) => predictions.every(p => p === 1) ? 1 : 0
}

const SCALE = {
    trade: (predictions) =>  predictions.reduce((a, c) => a + c, 0) / predictions.length
}

module.exports = {
    ALWAYS,
    ANY,
    EVERY,
    SCALE
}